Sync goocanvas 1.0 from gnome repo

Bug #1090759 reported by DavidM on 2012-12-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
goocanvas (Ubuntu)
Wishlist
Unassigned

Bug Description

Hi,

please consider sync goocanvas v1.0 which is latest version that support gtk2, goocanvas v2.0 is for gtk v3

thx,
david

Related branches

Ross Gammon (rosco2) wrote :

I am the new maintainer for goocanvas and goocanvas-2.0 in Debian. It should be safe to sync goocanvas from Debian. Goocanvas-2.0 has it's own source package, and the legacy goocanvas (this one) has now been updated from 0.15 in Debian to 1.0 and uses autoreconf to help building on different architectures. All Ubuntu changes at 0.15 have been incorporated in Debian and upstream.

    Source package name: goocanvas
    Source package version number to sync: 1.0.0-1
    Where to sync from: Debian sid main

The previous Ubuntu changelog:
goocanvas (0.15-1.1ubuntu1) trusty; urgency=medium

  * Link libgoocanvas with -lm to fix build failure on ppc64el.
  * Build using dh-autoreconf.

 -- Matthias Klose <email address hidden> Sun, 22 Dec 2013 16:32:28 +0100

The next Debian changelog which incorporated the NMU that fixed the ppc64el linking issue and switched to dh-autoreconf:
 goocanvas (0.15-2) unstable; urgency=medium
 .
   * New maintainer (Closes: #766612)
   * Switch from using dpatch to quilt (Closes: #670694)
   * Unapply patches from source
   * Restructure control file with cme
   * Set myself as the maintainer
   * Set Vcs URLs to collab-maint
   * Limit the legacy watchfile to < 1.9x releases
   * Update goocanvas homepage URL
   * Bump standards version, no changes required
   * Update copyright file to copyright-format 1.0
   * Add a gbp.conf file
   * Add upstream metadata
   * Move to debhelper compat level 9
   * build with dh-autoreconf to avoid FTBS on ppc64el
     Thanks to Brahadambal Srinivasan & Berto (Closes: 756763)
   * Acknowledge previous NMU
   * Remove trailing whitespace in d/control
   * Drop README.source file as dpatch is no longer used
   * Switch from cdbs to debhelper
   * Update 11_link.patch to only patch Makefile.am
   * Drop relibtoolize.patch as it interfers with autoreconf
   * Make Multi-Arch ready by installing to multi-arch paths
     Thanks to Berto for the above 6 suggestions
   * Add source/options file to allow package to build twice

 -- Ross Gammon <email address hidden> Tue, 01 Sep 2015 22:11:40 +0200

The next changelog in Debian which updated to the final gtk2 version of goocanvas:
goocanvas (1.0.0-1) unstable; urgency=medium

  * New upstream release (LP: #1090759)
  * Drop 11_link.patch as incorporated upstream
  * Delete patches directory as all patches have been dropped

 -- Ross Gammon <email address hidden> Sun, 04 Oct 2015 08:19:46 +0200

Changed in goocanvas (Ubuntu):
status: New → Confirmed
Mathew Hodson (mhodson) on 2015-11-15
Changed in goocanvas (Ubuntu):
importance: Undecided → Wishlist
Timo Jyrinki (timo-jyrinki) wrote :

This bug was fixed in the package goocanvas - 1.0.0-1
Sponsored for Ross Gammon (retail-0)

---------------
goocanvas (1.0.0-1) unstable; urgency=medium

  * New upstream release (LP: #1090759)
  * Drop 11_link.patch as incorporated upstream
  * Delete patches directory as all patches have been dropped

 -- Ross Gammon <email address hidden> Sun, 04 Oct 2015 08:19:46 +0200

goocanvas (0.15-2) unstable; urgency=medium

  * New maintainer (Closes: #766612)
  * Switch from using dpatch to quilt (Closes: #670694)
  * Unapply patches from source
  * Restructure control file with cme
  * Set myself as the maintainer
  * Set Vcs URLs to collab-maint
  * Limit the legacy watchfile to < 1.9x releases
  * Update goocanvas homepage URL
  * Bump standards version, no changes required
  * Update copyright file to copyright-format 1.0
  * Add a gbp.conf file
  * Add upstream metadata
  * Move to debhelper compat level 9
  * build with dh-autoreconf to avoid FTBS on ppc64el
    Thanks to Brahadambal Srinivasan & Berto (Closes: 756763)
  * Acknowledge previous NMU
  * Remove trailing whitespace in d/control
  * Drop README.source file as dpatch is no longer used
  * Switch from cdbs to debhelper
  * Update 11_link.patch to only patch Makefile.am
  * Drop relibtoolize.patch as it interfers with autoreconf
  * Make Multi-Arch ready by installing to multi-arch paths
    Thanks to Berto for the above 6 suggestions
  * Add source/options file to allow package to build twice

 -- Ross Gammon <email address hidden> Tue, 01 Sep 2015 22:11:40 +0200

Changed in goocanvas (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers